CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
CommandMessenger.Transport.Bluetooth.BluetoothConnectionManager Class Reference

Connection manager for Bluetooth devices. More...

Inheritance diagram for CommandMessenger.Transport.Bluetooth.BluetoothConnectionManager:

List of all members.

## Public Member Functions
| BluetoothConnectionManager (BluetoothTransport bluetoothTransport, CmdMessenger cmdMessenger, int watchdogCommandId=0, string uniqueDeviceId=null, IBluetoothConnectionStorer bluetoothConnectionStorer=null)
| Connection manager for Bluetooth devices.
## Protected Member Functions
override void | DoWorkConnect ()
override void | DoWorkScan ()
override void | StartScan ()
| Start scanning for devices.
override void | StoreSettings ()
override sealed void | ReadSettings ()
## Properties
Dictionary< string, string > | DevicePins`[get, set]`
| Lookup dictionary of Pincode per device.
List< string > | GeneralPins`[get, set]`
| List of Pincodes tried for unknown devices.

## Detailed Description

Connection manager for Bluetooth devices.

## Constructor & Destructor Documentation

CommandMessenger.Transport.Bluetooth.BluetoothConnectionManager.BluetoothConnectionManager | ( | BluetoothTransport | bluetoothTransport,
|  | CmdMessenger | cmdMessenger,
|  | int | watchdogCommandId = `0`,
|  | string | uniqueDeviceId = `null`,
|  | IBluetoothConnectionStorer | bluetoothConnectionStorer = `null`
| ) |  |

Connection manager for Bluetooth devices.

## Member Function Documentation

override void CommandMessenger.Transport.Bluetooth.BluetoothConnectionManager.StartScan | ( |  | ) | `[protected, virtual]`

Start scanning for devices.

Reimplemented from CommandMessenger.ConnectionManager.

## Property Documentation

Dictionary<string, string> CommandMessenger.Transport.Bluetooth.BluetoothConnectionManager.DevicePins`[get, set]`

Lookup dictionary of Pincode per device.

List<string> CommandMessenger.Transport.Bluetooth.BluetoothConnectionManager.GeneralPins`[get, set]`

List of Pincodes tried for unknown devices.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger.Transport.Bluetooth/BluetoothConnectionManager.cs